webpackJsonp([71],{

/***/ 1216:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LogPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the LogPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LogPage = /** @class */ (function () {
    function LogPage(navCtrl, navParams, loading, toolservice) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loading = loading;
        this.toolservice = toolservice;
        this.filecabinetId = this.navParams.get('filecabinetId');
        this.fileId = this.navParams.get('fileId');
        this.queryLog();
    }
    LogPage.prototype.queryLog = function () {
        var $this = this;
        var loading = this.loading.create();
        loading.present();
        var url = this.filecabinetId + "/folder/" + this.fileId + "/details";
        this.toolservice.doGet(url, function (data) {
            loading.dismiss();
            if (data.return_code == '000000') {
                $this.username = data.return_data.username;
                $this.childrenCount = data.return_data.childrenCount;
                $this.grandchildrenCount = data.return_data.grandchildrenCount;
                $this.createdDate = $this.getYMDHMS(data.return_data.createdDate);
                $this.logData = data.return_data.records;
                var auths_1 = [];
                data.return_data.auth.forEach(function (item) {
                    auths_1.push(item.username);
                });
                $this.auths = auths_1;
                // console.log($this.auths)
            }
            else {
                // this.toolservice.showtoast(data.return_msg);
            }
        });
    };
    LogPage.prototype.change = function (limit) {
        var size = "";
        if (limit < 0.1 * 1024) { //小于0.1KB，则转化成B
            size = limit.toFixed(2) + "B";
        }
        else if (limit < 0.1 * 1024 * 1024) { //小于0.1MB，则转化成KB
            size = (limit / 1024).toFixed(2) + "KB";
        }
        else if (limit < 0.1 * 1024 * 1024 * 1024) { //小于0.1GB，则转化成MB
            size = (limit / (1024 * 1024)).toFixed(2) + "MB";
        }
        else { //其他转化成GB
            size = (limit / (1024 * 1024 * 1024)).toFixed(2) + "GB";
        }
        var sizeStr = size + ""; //转成字符串
        var index = sizeStr.indexOf("."); //获取小数点处的索引
        var dou = sizeStr.substr(index + 1, 2); //获取小数点后两位的值
        if (dou == "00") { //判断后两位是否为00，如果是则删除00
            return sizeStr.substring(0, index) + sizeStr.substr(index + 3, 2);
        }
        return size;
    };
    LogPage.prototype.getYMDHMS = function (timestamp) {
        var time = new Date(timestamp);
        var year = time.getFullYear();
        var month = time.getMonth() + 1;
        var date = time.getDate();
        var hours = time.getHours();
        var minute = time.getMinutes();
        var second = time.getSeconds();
        if (month < 10) {
            month = '0' + month;
        }
        if (date < 10) {
            date = '0' + date;
        }
        if (hours < 10) {
            hours = '0' + hours;
        }
        if (minute < 10) {
            minute = '0' + minute;
        }
        if (second < 10) {
            second = '0' + second;
        }
        return year + '-' + month + '-' + date + ' ' + hours + ':' + minute + ':' + second;
    };
    LogPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LogPage');
    };
    LogPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-log',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\filecabinets\log\log.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>操作日志</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="detail">\n\n    <h3>文件夹情况</h3>\n\n    <ul>\n\n      <li>\n\n        <span>子文件夹数量</span><span>{{childrenCount}}</span>\n\n      </li>\n\n      <li>\n\n        <span>孙文件夹数量</span><span>{{grandchildrenCount}}</span>\n\n      </li>\n\n      <li>\n\n        <span>使用大小</span><span>{{grandchildrenCount}}</span>\n\n      </li>\n\n      <li>\n\n        <span>创建人</span><span>{{username}}</span>\n\n      </li>\n\n      <li>\n\n        <span>创建时间</span><span>{{createdDate}}</span>\n\n      </li>\n\n      <li>\n\n        <span>授权群体</span><span>{{auths}}</span>\n\n      </li>\n\n    </ul>\n\n  </div>\n  <div class="log">\n    <h3>操作日志</h3>\n    <ul>\n      <li *ngFor="let item of logData">\n        <div class="time">{{getYMDHMS(item.createdDate)}}</div>\n        <div class="text">{{item.desc}}</div>\n      </li>\n    </ul>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\filecabinets\log\log.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"], __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_toolservice__["a" /* ToolserviceProvider */]])
    ], LogPage);
    return LogPage;
}());

//# sourceMappingURL=log.js.map

/***/ }),

/***/ 993:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LogPageModule", function() { return LogPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__log__ = __webpack_require__(1216);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LogPageModule = /** @class */ (function () {
    function LogPageModule() {
    }
    LogPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__log__["a" /* LogPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__log__["a" /* LogPage */]),
            ],
        })
    ], LogPageModule);
    return LogPageModule;
}());

//# sourceMappingURL=log.module.js.map

/***/ })

});
//# sourceMappingURL=71.js.map