webpackJsonp([88],{

/***/ 1199:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IncubatorListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the IncubatorListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var IncubatorListPage = /** @class */ (function () {
    function IncubatorListPage(navCtrl, navParams, toolService, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.toolService = toolService;
        this.loadingCtrl = loadingCtrl;
        this.advisorList = [];
        this.pagePara = {
            pageNum: 1,
            pageSize: 10,
            dataLength: 0,
            pageLength: 0,
        };
        this.img_url = __WEBPACK_IMPORTED_MODULE_2__providers_toolservice_global__["d" /* IMAGEURL */];
    }
    IncubatorListPage.prototype.ionViewDidLoad = function () {
        this.onLoadData();
    };
    IncubatorListPage.prototype.onLoadData = function () {
        var _this = this;
        var url = this.getActionUrl();
        var loading = this.loadingCtrl.create({});
        loading.present();
        this.toolService.doGet(url, function (data) {
            if (data.return_code == '000000' && data.return_data.list != '') {
                _this.advisorList = data.return_data.list;
                _this.pagePara.dataLength = data.return_data['total'];
                _this.pagePara.pageLength = data.return_data['pages'];
                loading.dismiss();
            }
            else {
                loading.dismiss();
                _this.toolService.showtoast(data.return_msg);
            }
        }, function (error) {
            loading.dismiss();
        });
    };
    IncubatorListPage.prototype.minInfinite = function (infiniteScroll) {
        var _this = this;
        // 判读数据超过十条启动刷新
        if (this.pagePara.dataLength > this.pagePara.pageSize) {
            setTimeout(function () {
                // 加载完成关闭刷新
                infiniteScroll.complete();
                //增加index
                _this.pagePara.pageNum++;
                var url = _this.getActionUrl();
                _this.toolService.doGet(url, function (data) {
                    // 循环插入数据数组
                    for (var i = 0; i < data.return_data['list'].length; i++) {
                        _this.advisorList.push(data.return_data['list'][i]);
                    }
                });
                // 判断刷新分页页码大小
                if (_this.pagePara.pageNum >= _this.pagePara.pageLength) {
                    //如果都加载完成的情况，就直接 disable ，移除下拉加载
                    infiniteScroll.enable(false);
                    //toast提示
                    _this.toolService.showtoast("已加载所有导师");
                }
            }, 2000);
        }
        else {
            // 加载全部数据禁用刷新
            infiniteScroll.enable(false);
            this.toolService.showtoast("已加载所有导师");
        }
    };
    IncubatorListPage.prototype.getActionUrl = function () {
        return this.toolService.stringFormat('bsIndustryIncubators/getPageIndustryIncubators?pageNum={pageNum}&pageSize={pageSize}', { pageNum: this.pagePara.pageNum, pageSize: this.pagePara.pageSize });
    };
    IncubatorListPage.prototype.onSkipToDetail = function (id) {
        this.navCtrl.push("IncubatorDetailPage", { incubatorId: id });
    };
    IncubatorListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-incubator-list',template:/*ion-inline-start:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\incubator-list\incubator-list.html"*/'<!--\n\n  Generated template for the IncubatorListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>孵化器</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content >\n\n  <div class="header-bg">\n\n  <img src="assets/imgs/entrepreneur/3.png">\n\n  </div>\n\n  \n\n  <div class="content-div">\n\n    <ul>\n\n      <li *ngFor="let item of advisorList;let i = index;" (click)="onSkipToDetail(item.id)">\n\n        <div class="left-div">\n\n          <img src="{{img_url+\'/\'+item.mainImg}}">\n\n        </div>\n\n        <div class="right-div">\n\n          <div class="name">{{item.name}}</div>\n\n          <div class="company">{{item.addressDetail}}</div>\n\n          <div class="more">详细信息 ></div>\n\n        </div>\n\n        <div class="split-line" ></div>\n\n      </li>\n\n    </ul>\n\n  </div>\n\n  \n\n  <ion-infinite-scroll (ionInfinite)="minInfinite($event)">\n\n      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="加载中...">\n\n      </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n  </ion-content>\n\n  '/*ion-inline-end:"F:\project\ncsmesc-mobile\src\pages\entrepreneur\incubator-list\incubator-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_toolservice_toolservice__["a" /* ToolserviceProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"]])
    ], IncubatorListPage);
    return IncubatorListPage;
}());

//# sourceMappingURL=incubator-list.js.map

/***/ }),

/***/ 976:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "IncubatorListPageModule", function() { return IncubatorListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__incubator_list__ = __webpack_require__(1199);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var IncubatorListPageModule = /** @class */ (function () {
    function IncubatorListPageModule() {
    }
    IncubatorListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__incubator_list__["a" /* IncubatorListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__incubator_list__["a" /* IncubatorListPage */]),
            ],
        })
    ], IncubatorListPageModule);
    return IncubatorListPageModule;
}());

//# sourceMappingURL=incubator-list.module.js.map

/***/ })

});
//# sourceMappingURL=88.js.map